GET api/CosEccSummary/GetMssEmailNotificationType?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfMeEmailNotificationTypeDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of MeEmailNotificationTypeDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "EmailNotificationType": "sample string 2",
      "MailPriority": 1,
      "NotificationFrom": 3,
      "MessageTemplate": "sample string 4",
      "FromEmailAddress": "sample string 5",
      "Subject": "sample string 6",
      "ValidFlag": true,
      "DateCreated": "2026-06-20T09:08:37.8214693-07:00",
      "DateUpdated": "2026-06-20T09:08:37.8214693-07:00",
      "UserIDCreated": 10,
      "UserIDUpdated": 11
    },
    {
      "Id": 1,
      "EmailNotificationType": "sample string 2",
      "MailPriority": 1,
      "NotificationFrom": 3,
      "MessageTemplate": "sample string 4",
      "FromEmailAddress": "sample string 5",
      "Subject": "sample string 6",
      "ValidFlag": true,
      "DateCreated": "2026-06-20T09:08:37.8214693-07:00",
      "DateUpdated": "2026-06-20T09:08:37.8214693-07:00",
      "UserIDCreated": 10,
      "UserIDUpdated": 11
    }
  ],
  "totalCount": 3
}